search_list
GET
/api/search
const url = 'https://example.com/api/search';const options = { method: 'GET', headers: { 'X-Workspace': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/search \ --header 'Authorization: Bearer <token>' \ --header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'Search across all object types accessible to the user in the workspace.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”X-Workspace
required
string format: uuid
Workspace ID
Query Parameters
Section titled “Query Parameters”ordering
string
Which field to use when ordering the results.
p
integer
The page number (same convention as other list endpoints).
page_size
integer
q
string
The text to search for. When omitted or empty, returns the most recently updated objects instead (quick access).
search
string
A search term.
type
string
Comma-separated list of object types to restrict the search to (node, sample, data, submission, data_association). Defaults to all types.
Responses
Section titled “Responses”Media typeapplication/json
object
count
required
integer
next
string format: uri
previous
string format: uri
results
required
Array<object>
Serializer for the global search response envelope.
object
results
required
Array<object>
Serializer for a single global search result.
object
id
required
string
type
required
string
title
required
string
workspace_id
required
string
scope_node_ids
Array<string>
scope_node_titles
Array<string>
scope_submission_id
string
nav_node_ids
Array<string>
nav_node_titles
Array<string>
matched_in
string
matched_snippet
string
matched_submission_metadata_type
string
estimated_total_hits
required
integer
current_page
required
integer
page_size
required
integer
Example
{ "count": 123, "next": "http://api.example.org/accounts/?p=4", "previous": "http://api.example.org/accounts/?p=2"}
